// Writer.h: interface for the Writer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WRITER_H__AD98908F_59FF_492E_ADD4_D89153F12462__INCLUDED_)
#define AFX_WRITER_H__AD98908F_59FF_492E_ADD4_D89153F12462__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdio.h"

class Writer  
{
public:
	static void close();
	static void putRleSeq(long len, char c);
	static void flushRle();
	static void putRle(char c);
	static bool rleActive();
	static void printRle(const char * text);
	static void setRleFilename(const char *filename);
	static void flush();
	static void print(const char * text);
	static void setFilename(const char * filename);

private:
	Writer();
	virtual ~Writer();

	static const char * s_rleFilename;
	static FILE * s_rleFile;

	static const char * s_filename;
	static FILE * s_file;

	static long s_nlCount;
	static long s_blankCount;
	static long s_liveCount;

	static long s_bufLen;
	static char s_buffer[];
};

#endif // !defined(AFX_WRITER_H__AD98908F_59FF_492E_ADD4_D89153F12462__INCLUDED_)
